# ApiHdfsSnapshotPolicyArguments Data Model

HDFS specific snapshot policy arguments.

Properties
name | data type | description
--- | --- | ---
pathPatterns | array of string | The path patterns specifying the paths. Paths matching any of them will be eligible for snapshot creation. The pattern matching characters that can be specific are those supported by HDFS. please see the documentation for HDFS globs for more details.

Example

    {
      "pathPatterns" : [ "...", "..." ]
    }